<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

class RolesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Role::create(['name'=>'superadmin', 'descripcion'=> 'Super Administrador','guard_name'=>'web']);
        Role::create(['name'=>'Administrador', 'descripcion'=> 'Administrador General del sistema','guard_name'=>'web'])->givePermissionTo(Permission::all());
        Role::create(['name'=>'Denunciante', 'descripcion'=> 'Persona que ingresa su denuncia','guard_name'=>'web'])
        ->givePermissionTo('denunciante.dashboard','denunciante.denuncias.show');
        Role::create(['name'=>'Funcionario', 'descripcion'=> 'Personal de la institución de la unidad de transparencia','guard_name'=>'web']);    
    }
}
